fair::mq::parser::SUBOPT Struct Reference

`#include <FairMQSuboptParser.h>`

## Public Types

enum | channelOptionKeyIds { NAME = 0, TYPE, METHOD, ADDRESS, TRANSPORT, SNDBUFSIZE, RCVBUFSIZE, SNDKERNELSIZE, RCVKERNELSIZE, LINGER, RATELOGGING, PORTRANGEMIN, PORTRANGEMAX, AUTOBIND, NUMSOCKETS, lastsocketkey }

## Public Member Functions

FairMQChannelMap | UserParser (const std::vector< std::string > &channelConfig, const std::string &deviceId, const std::string &rootNode="fairMQOptions")

## Static Public Attributes

static constexpr const char * | channelOptionKeys []

## Detailed Description

A parser implementation for FairMQ channel properties. The parser handles a comma separated key=value list format by using the getsubopt function of the standard library.

The option key '–channel-config' can be used with the list of key/value pairs like e.g.

    --channel-config name=output,type=push,method=bind

The FairMQ option parser defines a 'UserParser' function for different formats. Currently it is strictly parsing channel options, but in general the concept is extensible by renaming UserParser to ChannelPropertyParser and introducing additional parser functions.

## Member Data Documentation

## channelOptionKeys

constexpr const char * fair::mq::parser::SUBOPT::channelOptionKeys

static

Initial value:
= {
"name",
"type",
"method",
"address",
"transport",
"sndBufSize",
"rcvBufSize",
"sndKernelSize",
"rcvKernelSize",
"linger",
"rateLogging",
"portRangeMin",
"portRangeMax",
"autoBind",
"numSockets",
nullptr
}

The documentation for this struct was generated from the following files:

- fairmq/options/FairMQSuboptParser.h
- fairmq/options/FairMQSuboptParser.cxx

privacy